=== debian/changelog ===
plasma-workspace (4:6.5.4-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Search for qml modules in arch dependend file paths.

 -- Sandro Knauß <hefee@debian.org>  Fri, 12 Dec 2025 09:31:03 +0100

plasma-workspace (4:6.5.4-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Scan all qml files. (Closes: #1121528)
  * Install all used qml modules in build environment.
  * Ignore all non existing qml modules.

 -- Sandro Knauß <hefee@debian.org>  Fri, 12 Dec 2025 00:51:24 +0100

plasma-workspace (4:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 21:17:17 +0100
