=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                dh-sequence-qmldeps,
                dh-sequence-sodeps,
                appmenu-gtk3-module,
-               breeze-dev (>= 4:6.5.3~),
+               breeze-dev (>= 4:6.5.4~),
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                kded6-dev (>= 6.18.0~),
                kirigami-addons-dev (>= 1.0.0~),
-               knighttime-dev (>= 6.5.3~),
-               kscreenlocker-dev (>= 6.5.3~),
-               kwayland-dev (>= 4:6.5.3~),
+               knighttime-dev (>= 6.5.4~),
+               kscreenlocker-dev (>= 6.5.4~),
+               kwayland-dev (>= 4:6.5.4~),
                kwin-dev (>= 4:6.4.91~),
                libappstreamqt-dev (>= 1.0.0~),
                libcanberra-dev,
@@ -63,17 +63,17 @@
                libkf6wallet-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libkpipewire-dev (>= 6.4.91~),
-               libkscreen-dev (>= 4:6.5.3~),
-               libksysguard-dev (>= 4:6.5.3~),
-               liblayershellqtinterface-dev (>= 6.5.3~),
+               libkscreen-dev (>= 4:6.5.4~),
+               libksysguard-dev (>= 4:6.5.4~),
+               liblayershellqtinterface-dev (>= 6.5.4~),
                libpackagekitqt6-dev,
                libphonon4qt6-dev (>= 4:4.6.60~),
                libphonon4qt6experimental-dev,
                libpipewire-0.3-dev,
-               libplasma-dev (>= 6.5.3~),
-               libplasma5support-dev (>= 4:6.5.3~),
-               libplasmaactivities-dev (>= 6.5.3~),
-               libplasmaactivitiesstats-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
+               libplasma5support-dev (>= 4:6.5.4~),
+               libplasmaactivities-dev (>= 6.5.4~),
+               libplasmaactivitiesstats-dev (>= 6.5.4~),
                libpolkit-qt6-1-dev,
                libqalculate-dev (>= 2.0~),
                libquickcharts-dev (>= 6.18.0~),
@@ -96,6 +96,7 @@
                libxft-dev,
                libxrender-dev,
                libxtst-dev,
+               milou,
                pkgconf,
                plasma-wayland-protocols (>= 1.6~),
                qcoro-qt6-dev,
