## plasma-workspace 6.5.4+p24.04+vstable+git20251226.0414

=== debian/changelog ===
plasma-workspace (4:6.5.4+p24.04+vstable+git20251226.0414-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 04:14:48 +0000

plasma-workspace (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:22:04 +1000

plasma-workspace (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:47 +1000

plasma-workspace (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:13:03 +1000
