## plasma-workspace 6.5.4+p24.04+vstable+git20251231.0556

=== debian/changelog ===
plasma-workspace (4:6.5.4+p24.04+vstable+git20251231.0556-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:56:50 +0000
