## plasma-workspace 6.5.4+p24.04+vstable+git20260105.1214

=== debian/changelog ===
plasma-workspace (4:6.5.4+p24.04+vstable+git20260105.1214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:14:47 +0000
