## plasma-workspace 6.5.4+p24.04+vstable+git20260107.1055

=== debian/changelog ===
plasma-workspace (4:6.5.4+p24.04+vstable+git20260107.1055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 10:55:37 +0000
